
package ca.canadapost.cpcdp.pickup.stub.pickuprequest;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for PickupRequestDetailsType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PickupRequestDetailsType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="customer-request-id" type="{http://www.canadapost.ca/ws/soap/pickuprequest}CustomerRequestIDType" minOccurs="0"/>
 *         &lt;element name="pickup-type" type="{http://www.canadapost.ca/ws/soap/pickuprequest}PickupTypeType"/>
 *         &lt;element name="pickup-location" type="{http://www.canadapost.ca/ws/soap/pickuprequest}PickupLocationType"/>
 *         &lt;element name="contact-info" type="{http://www.canadapost.ca/ws/soap/pickuprequest}ContactInfoType"/>
 *         &lt;element name="location-details" type="{http://www.canadapost.ca/ws/soap/pickuprequest}LocationDetailsType"/>
 *         &lt;element name="items-characteristics" type="{http://www.canadapost.ca/ws/soap/pickuprequest}ItemsCharacteristicsType" minOccurs="0"/>
 *         &lt;element name="pickup-volume" type="{http://www.canadapost.ca/ws/soap/pickuprequest}PickupVolumeType"/>
 *         &lt;element name="pickup-times" type="{http://www.canadapost.ca/ws/soap/pickuprequest}PickupTimesType"/>
 *         &lt;element name="payment-info" type="{http://www.canadapost.ca/ws/soap/pickuprequest}PaymentInfoType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PickupRequestDetailsType", propOrder = {
    "customerRequestId",
    "pickupType",
    "pickupLocation",
    "contactInfo",
    "locationDetails",
    "itemsCharacteristics",
    "pickupVolume",
    "pickupTimes",
    "paymentInfo"
})
public class PickupRequestDetailsType {

    @XmlElement(name = "customer-request-id")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String customerRequestId;
    @XmlElement(name = "pickup-type", required = true)
    protected PickupTypeType pickupType;
    @XmlElement(name = "pickup-location", required = true)
    protected PickupLocationType pickupLocation;
    @XmlElement(name = "contact-info", required = true)
    protected ContactInfoType contactInfo;
    @XmlElement(name = "location-details", required = true)
    protected LocationDetailsType locationDetails;
    @XmlElement(name = "items-characteristics")
    protected ItemsCharacteristicsType itemsCharacteristics;
    @XmlElement(name = "pickup-volume", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String pickupVolume;
    @XmlElement(name = "pickup-times", required = true)
    protected PickupTimesType pickupTimes;
    @XmlElement(name = "payment-info")
    protected PaymentInfoType paymentInfo;

    /**
     * Gets the value of the customerRequestId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCustomerRequestId() {
        return customerRequestId;
    }

    /**
     * Sets the value of the customerRequestId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCustomerRequestId(String value) {
        this.customerRequestId = value;
    }

    /**
     * Gets the value of the pickupType property.
     * 
     * @return
     *     possible object is
     *     {@link PickupTypeType }
     *     
     */
    public PickupTypeType getPickupType() {
        return pickupType;
    }

    /**
     * Sets the value of the pickupType property.
     * 
     * @param value
     *     allowed object is
     *     {@link PickupTypeType }
     *     
     */
    public void setPickupType(PickupTypeType value) {
        this.pickupType = value;
    }

    /**
     * Gets the value of the pickupLocation property.
     * 
     * @return
     *     possible object is
     *     {@link PickupLocationType }
     *     
     */
    public PickupLocationType getPickupLocation() {
        return pickupLocation;
    }

    /**
     * Sets the value of the pickupLocation property.
     * 
     * @param value
     *     allowed object is
     *     {@link PickupLocationType }
     *     
     */
    public void setPickupLocation(PickupLocationType value) {
        this.pickupLocation = value;
    }

    /**
     * Gets the value of the contactInfo property.
     * 
     * @return
     *     possible object is
     *     {@link ContactInfoType }
     *     
     */
    public ContactInfoType getContactInfo() {
        return contactInfo;
    }

    /**
     * Sets the value of the contactInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link ContactInfoType }
     *     
     */
    public void setContactInfo(ContactInfoType value) {
        this.contactInfo = value;
    }

    /**
     * Gets the value of the locationDetails property.
     * 
     * @return
     *     possible object is
     *     {@link LocationDetailsType }
     *     
     */
    public LocationDetailsType getLocationDetails() {
        return locationDetails;
    }

    /**
     * Sets the value of the locationDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link LocationDetailsType }
     *     
     */
    public void setLocationDetails(LocationDetailsType value) {
        this.locationDetails = value;
    }

    /**
     * Gets the value of the itemsCharacteristics property.
     * 
     * @return
     *     possible object is
     *     {@link ItemsCharacteristicsType }
     *     
     */
    public ItemsCharacteristicsType getItemsCharacteristics() {
        return itemsCharacteristics;
    }

    /**
     * Sets the value of the itemsCharacteristics property.
     * 
     * @param value
     *     allowed object is
     *     {@link ItemsCharacteristicsType }
     *     
     */
    public void setItemsCharacteristics(ItemsCharacteristicsType value) {
        this.itemsCharacteristics = value;
    }

    /**
     * Gets the value of the pickupVolume property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPickupVolume() {
        return pickupVolume;
    }

    /**
     * Sets the value of the pickupVolume property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPickupVolume(String value) {
        this.pickupVolume = value;
    }

    /**
     * Gets the value of the pickupTimes property.
     * 
     * @return
     *     possible object is
     *     {@link PickupTimesType }
     *     
     */
    public PickupTimesType getPickupTimes() {
        return pickupTimes;
    }

    /**
     * Sets the value of the pickupTimes property.
     * 
     * @param value
     *     allowed object is
     *     {@link PickupTimesType }
     *     
     */
    public void setPickupTimes(PickupTimesType value) {
        this.pickupTimes = value;
    }

    /**
     * Gets the value of the paymentInfo property.
     * 
     * @return
     *     possible object is
     *     {@link PaymentInfoType }
     *     
     */
    public PaymentInfoType getPaymentInfo() {
        return paymentInfo;
    }

    /**
     * Sets the value of the paymentInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link PaymentInfoType }
     *     
     */
    public void setPaymentInfo(PaymentInfoType value) {
        this.paymentInfo = value;
    }

}
